DynamicRegionFactory.Config (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: DynamicRegionFactory, class: Config

Package org.apache.geode.cache

# Class DynamicRegionFactory.Config

java.lang.Object
org.apache.geode.cache.DynamicRegionFactory.Config

Enclosing class:
  DynamicRegionFactory

public static class DynamicRegionFactory.Config extends Object
Configuration for dynamic region factory. The default attributes are:

- diskDir: `null`
- poolName: `null`
- persistBackup: `true`
- registerInterest: `true`

Since:
  GemFire 4.3

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final File`
  `diskDir`
  The directory where the factory's `persistBackup` files are placed
  `final boolean`
  `persistBackup`
  Causes the factory to be persisted on disk.
  `final String`
  `poolName`
  The ${link Pool} to be used by a client factory to communicate with the server-side factory.
  `final boolean`
  `registerInterest`
  Causes regions created by the factory to register interest in all keys in a corresponding server cache region

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Config()`
  Creates a configuration with the default attributes.
  `Config(File diskDir, String poolName)`
  Creates a configuration with defaults and the given diskDir and poolName.
  `Config(File diskDir, String poolName, boolean persistBackup, boolean registerInterest)`
  Creates a configuration with the given attributes

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `File`
  `getDiskDir()`
  Returns the disk directory that the dynamic region factory data will be written to.
  `boolean`
  `getPersistBackup()`
  Returns true if the factory is persisted to disk; false if not.
  `String`
  `getPoolName()`
  Returns the name of the `Pool` associated with the dynamic region factory.
  `boolean`
  `getRegisterInterest()`
  Returns true if the region will register interest in all keys of a corresponding server cache region
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### persistBackup

    public final boolean persistBackup
    Causes the factory to be persisted on disk. See `diskDir`

  - ### diskDir

    public final File diskDir
    The directory where the factory's `persistBackup` files are placed

  - ### registerInterest

    public final boolean registerInterest
    Causes regions created by the factory to register interest in all keys in a corresponding server cache region

  - ### poolName

    public final String poolName
    The ${link Pool} to be used by a client factory to communicate with the server-side factory.

- ## Constructor Details

  - ### Config

    public Config()
    Creates a configuration with the default attributes.

  - ### Config

    public Config(File diskDir, String poolName)
    Creates a configuration with defaults and the given diskDir and poolName.
    Parameters:
      `diskDir` - the directory to which the region's data is written
      `poolName` - the name of the connection pool to use

  - ### Config

    public Config(File diskDir, String poolName, boolean persistBackup, boolean registerInterest)
    Creates a configuration with the given attributes
    Parameters:
      `diskDir` - the directory to which the region's data is written
      `poolName` - the name of the connection pool to use
      `persistBackup` - boolean specifying if a persistent backup should be made of the region
      `registerInterest` - whether regions created by the factory will register interest in all keys in a corresponding server cache region

- ## Method Details

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### getPersistBackup

    public boolean getPersistBackup()
    Returns true if the factory is persisted to disk; false if not.
    Returns:
      whether the factory is persisted to disk

  - ### getRegisterInterest

    public boolean getRegisterInterest()
    Returns true if the region will register interest in all keys of a corresponding server cache region
    Returns:
      whether the region will register interest in all keys of a corresponding server cache region

  - ### getDiskDir

    public File getDiskDir()
    Returns the disk directory that the dynamic region factory data will be written to. Returns null if no directory has been specified. The diskDir is only used if `persistBackup` is true.
    Returns:
      the disk directory that the dynamic region factory data will be written to

  - ### getPoolName

    public String getPoolName()
    Returns the name of the `Pool` associated with the dynamic region factory. Returns null if there is no connection pool for dynamic regions.
    Returns:
      the name of the `Pool` associated with the dynamic region factory